<?php
# Send email with choosen configuration
#
# Copyright (C) 2003 Unix Solutions Ltd.
# Written by Georgi Chorbadzhiyski
#
# $Id: email.php,v 1.7 2005/11/29 10:47:37 gf Exp $
#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
	function get_offer_text() {
		global $submitted, $stocks;
		$date = date("d-m-Y H:i");
		$mailtext = "\n  $date\n\n";
		$total = 0;
		foreach($submitted['s'] as $type => $stock) {
			if (isset($submitted['c'][$type]) && $submitted['c'][$type] > 0 && isset($stocks[$type]['s'][$stock])) {
				$stype = $stocks[$type]['t'];
				$sname = $stocks[$type]['s'][$stock];
				$count = $submitted['c'][$type];
				$price = $stocks[$type]['p'][$stock];
				$amount = $price * $count;
				$mailtext .= str_pad($stype,20);
				$mailtext .= str_pad($sname,40);
				$mailtext .= str_pad($count,3," ",STR_PAD_LEFT);
				$mailtext .= str_pad($price." ".MONEY,10," ",STR_PAD_RIGHT);
				$mailtext .= "\n";
			}
			$total += $amount;
		}
		$mailtext .= "\n\n : $total " . MONEY . "\n";
		return $mailtext;
	}

	function get_offer_html() {
		global $submitted, $stocks;
		$date = date("d-m-Y H:i");
		$total = 0;
		$mailtext = page_header("Oferta");
		$mailtext .= '
<h3></h3>
<p>  ' . $date . '</p>
<table cellspacing="0" cellpadding="2" border="0" class="ttable">
<tr class="ttitle">
	<th></th>
	<th>/</th>
	<th></th>
	<th>. </th>
</tr>
';
		$total = 0;
		foreach($submitted['s'] as $type => $stock) {
			if (isset($submitted['c'][$type]) && $submitted['c'][$type] > 0 && isset($stocks[$type]['s'][$stock])) {
				$stype = $stocks[$type]['t'];
				$sname = $stocks[$type]['s'][$stock];
				$count = $submitted['c'][$type];
				$price = $stocks[$type]['p'][$stock];
				$amount = $price * $count;
				$mailtext .= '
<tr>
	<td class="tline">' . $stype . '</td>
	<td class="tline"><b>' . $sname . '</b></td>
	<td class="tline" align="center">' . $count . '</td>
	<td class="tline" align="right">' . $price . ' ' . MONEY . '</td>
</tr>
';
			}
			$total += $amount;
		}
		$mailtext .= '
<tr>
	<td class="ttotal" colspan="4" align="right"><b>' . $total . ' ' . MONEY . '</b></td>
</tr>
<table>
';
		$mailtext .= page_footer();
		return $mailtext;
	}

	@$sendformat = (int)ereg_replace("[^0-9]","",$_POST["sendformat"]);
	@$sendto = $_POST["sendto"];
	@$sendto = substr(ereg_replace("\n\r","",$sendto),0,50);

	if (valid_email($sendto)) {
		if ($sendformat == 0) {
			send_email(MAILFROM,PROGRAM,SUBJECT,$sendto,get_offer_text(), 1);
			header("Location: index.php?msg=emailok&email=$sendto");
		}
		if ($sendformat == 1) {
			send_email(MAILFROM,PROGRAM,SUBJECT,$sendto,get_offer_html(), 0, true);
			header("Location: index.php?msg=emailok&email=$sendto");
		}
	} else {
		header("Location: index.php?msg=emailerr&email=$sendto");
	}
?>
